petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSegBufferGet

get new buffer space from a segmented buffer

### Synopsis

    PetscErrorCode PetscSegBufferGet(PetscSegBuffer seg,size_t count,void *buf)

Not Collective Many br

### Input Arguments

| seg | - address of segmented buffer Many br
| count | - number of entries needed Many br

### Output Argument

buf -address of new buffer for contiguous data Many br

Many br

### See Also

PetscSegBufferCreate(), PetscSegBufferExtractAlloc(), PetscSegBufferExtractTo(), PetscSegBufferExtractInPlace(), PetscSegBufferDestroy()

Level:developer
Location:src/sys/utils/segbuffer.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages